From: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
To: stable@vger.kernel.org
Cc: Greg Kroah-Hartman <gregkh@linuxfoundation.org>,
patches@lists.linux.dev, Vladimir Vdovin <deliran@verdict.gg>,
Ido Schimmel <idosch@nvidia.com>,
Jakub Kicinski <kuba@kernel.org>, Sasha Levin <sashal@kernel.org>
Subject: [PATCH 6.6 105/152] net: ipv4: Cache pmtu for all packet paths if multipath enabled
Date: Wed, 19 Feb 2025 09:28:38 +0100 [thread overview]
Message-ID: <20250219082554.213700144@linuxfoundation.org> (raw)
In-Reply-To: <20250219082550.014812078@linuxfoundation.org>
6.6-stable review patch. If anyone has any objections, please let me know.
------------------
From: Vladimir Vdovin <deliran@verdict.gg>
[ Upstream commit 7d3f3b4367f315a61fc615e3138f3d320da8c466 ]
Check number of paths by fib_info_num_path(),
and update_or_create_fnhe() for every path.
Problem is that pmtu is cached only for the oif
that has received icmp message "need to frag",
other oifs will still try to use "default" iface mtu.
An example topology showing the problem:
| host1
+---------+
| dummy0 | 10.179.20.18/32 mtu9000
+---------+
+-----------+----------------+
+---------+ +---------+
| ens17f0 | 10.179.2.141/31 | ens17f1 | 10.179.2.13/31
+---------+ +---------+
| (all here have mtu 9000) |
+------+ +------+
| ro1 | 10.179.2.140/31 | ro2 | 10.179.2.12/31
+------+ +------+
| |
---------+------------+-------------------+------
|
+-----+
| ro3 | 10.10.10.10 mtu1500
+-----+
|
========================================
some networks
========================================
|
+-----+
| eth0| 10.10.30.30 mtu9000
+-----+
| host2
host1 have enabled multipath and
sysctl net.ipv4.fib_multipath_hash_policy = 1:
default proto static src 10.179.20.18
nexthop via 10.179.2.12 dev ens17f1 weight 1
nexthop via 10.179.2.140 dev ens17f0 weight 1
When host1 tries to do pmtud from 10.179.20.18/32 to host2,
host1 receives at ens17f1 iface an icmp packet from ro3 that ro3 mtu=1500.
And host1 caches it in nexthop exceptions cache.
Problem is that it is cached only for the iface that has received icmp,
and there is no way that ro3 will send icmp msg to host1 via another path.
Host1 now have this routes to host2:
ip r g 10.10.30.30 sport 30000 dport 443
10.10.30.30 via 10.179.2.12 dev ens17f1 src 10.179.20.18 uid 0
cache expires 521sec mtu 1500
ip r g 10.10.30.30 sport 30033 dport 443
10.10.30.30 via 10.179.2.140 dev ens17f0 src 10.179.20.18 uid 0
cache
So when host1 tries again to reach host2 with mtu>1500,
if packet flow is lucky enough to be hashed with oif=ens17f1 its ok,
if oif=ens17f0 it blackholes and still gets icmp msgs from ro3 to ens17f1,
until lucky day when ro3 will send it through another flow to ens17f0.
Signed-off-by: Vladimir Vdovin <deliran@verdict.gg>
Reviewed-by: Ido Schimmel <idosch@nvidia.com>
Link: https://patch.msgid.link/20241108093427.317942-1-deliran@verdict.gg
Signed-off-by: Jakub Kicinski <kuba@kernel.org>
Stable-dep-of: 139512191bd0 ("ipv4: use RCU protection in __ip_rt_update_pmtu()")
Signed-off-by: Sasha Levin <sashal@kernel.org>
---
net/ipv4/route.c | 13 ++++
tools/testing/selftests/net/pmtu.sh | 112 +++++++++++++++++++++++-----
2 files changed, 108 insertions(+), 17 deletions(-)
diff --git a/net/ipv4/route.c b/net/ipv4/route.c
index c96837e6626c3..2e524c27a5171 100644
--- a/net/ipv4/route.c
+++ b/net/ipv4/route.c
@@ -1046,6 +1046,19 @@ static void __ip_rt_update_pmtu(struct rtable *rt, struct flowi4 *fl4, u32 mtu)
struct fib_nh_common *nhc;
fib_select_path(net, &res, fl4, NULL);
+#ifdef CONFIG_IP_ROUTE_MULTIPATH
+ if (fib_info_num_path(res.fi) > 1) {
+ int nhsel;
+
+ for (nhsel = 0; nhsel < fib_info_num_path(res.fi); nhsel++) {
+ nhc = fib_info_nhc(res.fi, nhsel);
+ update_or_create_fnhe(nhc, fl4->daddr, 0, mtu, lock,
+ jiffies + net->ipv4.ip_rt_mtu_expires);
+ }
+ rcu_read_unlock();
+ return;
+ }
+#endif /* CONFIG_IP_ROUTE_MULTIPATH */
nhc = FIB_RES_NHC(res);
update_or_create_fnhe(nhc, fl4->daddr, 0, mtu, lock,
jiffies + net->ipv4.ip_rt_mtu_expires);
diff --git a/tools/testing/selftests/net/pmtu.sh b/tools/testing/selftests/net/pmtu.sh
index 1c0dd2f781678..771f237c43534 100755
--- a/tools/testing/selftests/net/pmtu.sh
+++ b/tools/testing/selftests/net/pmtu.sh
@@ -197,6 +197,12 @@
#
# - pmtu_ipv6_route_change
# Same as above but with IPv6
+#
+# - pmtu_ipv4_mp_exceptions
+# Use the same topology as in pmtu_ipv4, but add routeable addresses
+# on host A and B on lo reachable via both routers. Host A and B
+# addresses have multipath routes to each other, b_r1 mtu = 1500.
+# Check that PMTU exceptions are created for both paths.
source lib.sh
source net_helper.sh
@@ -266,7 +272,8 @@ tests="
list_flush_ipv4_exception ipv4: list and flush cached exceptions 1
list_flush_ipv6_exception ipv6: list and flush cached exceptions 1
pmtu_ipv4_route_change ipv4: PMTU exception w/route replace 1
- pmtu_ipv6_route_change ipv6: PMTU exception w/route replace 1"
+ pmtu_ipv6_route_change ipv6: PMTU exception w/route replace 1
+ pmtu_ipv4_mp_exceptions ipv4: PMTU multipath nh exceptions 1"
# Addressing and routing for tests with routers: four network segments, with
# index SEGMENT between 1 and 4, a common prefix (PREFIX4 or PREFIX6) and an
@@ -343,6 +350,9 @@ tunnel6_a_addr="fd00:2::a"
tunnel6_b_addr="fd00:2::b"
tunnel6_mask="64"
+host4_a_addr="192.168.99.99"
+host4_b_addr="192.168.88.88"
+
dummy6_0_prefix="fc00:1000::"
dummy6_1_prefix="fc00:1001::"
dummy6_mask="64"
@@ -902,6 +912,52 @@ setup_ovs_bridge() {
run_cmd ip route add ${prefix6}:${b_r1}::1 via ${prefix6}:${a_r1}::2
}
+setup_multipath_new() {
+ # Set up host A with multipath routes to host B host4_b_addr
+ run_cmd ${ns_a} ip addr add ${host4_a_addr} dev lo
+ run_cmd ${ns_a} ip nexthop add id 401 via ${prefix4}.${a_r1}.2 dev veth_A-R1
+ run_cmd ${ns_a} ip nexthop add id 402 via ${prefix4}.${a_r2}.2 dev veth_A-R2
+ run_cmd ${ns_a} ip nexthop add id 403 group 401/402
+ run_cmd ${ns_a} ip route add ${host4_b_addr} src ${host4_a_addr} nhid 403
+
+ # Set up host B with multipath routes to host A host4_a_addr
+ run_cmd ${ns_b} ip addr add ${host4_b_addr} dev lo
+ run_cmd ${ns_b} ip nexthop add id 401 via ${prefix4}.${b_r1}.2 dev veth_B-R1
+ run_cmd ${ns_b} ip nexthop add id 402 via ${prefix4}.${b_r2}.2 dev veth_B-R2
+ run_cmd ${ns_b} ip nexthop add id 403 group 401/402
+ run_cmd ${ns_b} ip route add ${host4_a_addr} src ${host4_b_addr} nhid 403
+}
+
+setup_multipath_old() {
+ # Set up host A with multipath routes to host B host4_b_addr
+ run_cmd ${ns_a} ip addr add ${host4_a_addr} dev lo
+ run_cmd ${ns_a} ip route add ${host4_b_addr} \
+ src ${host4_a_addr} \
+ nexthop via ${prefix4}.${a_r1}.2 weight 1 \
+ nexthop via ${prefix4}.${a_r2}.2 weight 1
+
+ # Set up host B with multipath routes to host A host4_a_addr
+ run_cmd ${ns_b} ip addr add ${host4_b_addr} dev lo
+ run_cmd ${ns_b} ip route add ${host4_a_addr} \
+ src ${host4_b_addr} \
+ nexthop via ${prefix4}.${b_r1}.2 weight 1 \
+ nexthop via ${prefix4}.${b_r2}.2 weight 1
+}
+
+setup_multipath() {
+ if [ "$USE_NH" = "yes" ]; then
+ setup_multipath_new
+ else
+ setup_multipath_old
+ fi
+
+ # Set up routers with routes to dummies
+ run_cmd ${ns_r1} ip route add ${host4_a_addr} via ${prefix4}.${a_r1}.1
+ run_cmd ${ns_r2} ip route add ${host4_a_addr} via ${prefix4}.${a_r2}.1
+ run_cmd ${ns_r1} ip route add ${host4_b_addr} via ${prefix4}.${b_r1}.1
+ run_cmd ${ns_r2} ip route add ${host4_b_addr} via ${prefix4}.${b_r2}.1
+}
+
setup() {
[ "$(id -u)" -ne 0 ] && echo " need to run as root" && return $ksft_skip
@@ -982,23 +1038,15 @@ link_get_mtu() {
}
route_get_dst_exception() {
- ns_cmd="${1}"
- dst="${2}"
- dsfield="${3}"
+ ns_cmd="${1}"; shift
- if [ -z "${dsfield}" ]; then
- dsfield=0
- fi
-
- ${ns_cmd} ip route get "${dst}" dsfield "${dsfield}"
+ ${ns_cmd} ip route get "$@"
}
route_get_dst_pmtu_from_exception() {
- ns_cmd="${1}"
- dst="${2}"
- dsfield="${3}"
+ ns_cmd="${1}"; shift
- mtu_parse "$(route_get_dst_exception "${ns_cmd}" "${dst}" "${dsfield}")"
+ mtu_parse "$(route_get_dst_exception "${ns_cmd}" "$@")"
}
check_pmtu_value() {
@@ -1141,10 +1189,10 @@ test_pmtu_ipv4_dscp_icmp_exception() {
run_cmd "${ns_a}" ping -q -M want -Q "${dsfield}" -c 1 -w 1 -s "${len}" "${dst2}"
# Check that exceptions have been created with the correct PMTU
- pmtu_1="$(route_get_dst_pmtu_from_exception "${ns_a}" "${dst1}" "${policy_mark}")"
+ pmtu_1="$(route_get_dst_pmtu_from_exception "${ns_a}" "${dst1}" dsfield "${policy_mark}")"
check_pmtu_value "1400" "${pmtu_1}" "exceeding MTU" || return 1
- pmtu_2="$(route_get_dst_pmtu_from_exception "${ns_a}" "${dst2}" "${policy_mark}")"
+ pmtu_2="$(route_get_dst_pmtu_from_exception "${ns_a}" "${dst2}" dsfield "${policy_mark}")"
check_pmtu_value "1500" "${pmtu_2}" "exceeding MTU" || return 1
}
@@ -1191,9 +1239,9 @@ test_pmtu_ipv4_dscp_udp_exception() {
UDP:"${dst2}":50000,tos="${dsfield}"
# Check that exceptions have been created with the correct PMTU
- pmtu_1="$(route_get_dst_pmtu_from_exception "${ns_a}" "${dst1}" "${policy_mark}")"
+ pmtu_1="$(route_get_dst_pmtu_from_exception "${ns_a}" "${dst1}" dsfield "${policy_mark}")"
check_pmtu_value "1400" "${pmtu_1}" "exceeding MTU" || return 1
- pmtu_2="$(route_get_dst_pmtu_from_exception "${ns_a}" "${dst2}" "${policy_mark}")"
+ pmtu_2="$(route_get_dst_pmtu_from_exception "${ns_a}" "${dst2}" dsfield "${policy_mark}")"
check_pmtu_value "1500" "${pmtu_2}" "exceeding MTU" || return 1
}
@@ -2234,6 +2282,36 @@ test_pmtu_ipv6_route_change() {
test_pmtu_ipvX_route_change 6
}
+test_pmtu_ipv4_mp_exceptions() {
+ setup namespaces routing multipath || return $ksft_skip
+
+ trace "${ns_a}" veth_A-R1 "${ns_r1}" veth_R1-A \
+ "${ns_r1}" veth_R1-B "${ns_b}" veth_B-R1 \
+ "${ns_a}" veth_A-R2 "${ns_r2}" veth_R2-A \
+ "${ns_r2}" veth_R2-B "${ns_b}" veth_B-R2
+
+ # Set up initial MTU values
+ mtu "${ns_a}" veth_A-R1 2000
+ mtu "${ns_r1}" veth_R1-A 2000
+ mtu "${ns_r1}" veth_R1-B 1500
+ mtu "${ns_b}" veth_B-R1 1500
+
+ mtu "${ns_a}" veth_A-R2 2000
+ mtu "${ns_r2}" veth_R2-A 2000
+ mtu "${ns_r2}" veth_R2-B 1500
+ mtu "${ns_b}" veth_B-R2 1500
+
+ # Ping and expect two nexthop exceptions for two routes
+ run_cmd ${ns_a} ping -q -M want -i 0.1 -c 1 -s 1800 "${host4_b_addr}"
+
+ # Check that exceptions have been created with the correct PMTU
+ pmtu_a_R1="$(route_get_dst_pmtu_from_exception "${ns_a}" "${host4_b_addr}" oif veth_A-R1)"
+ pmtu_a_R2="$(route_get_dst_pmtu_from_exception "${ns_a}" "${host4_b_addr}" oif veth_A-R2)"
+
+ check_pmtu_value "1500" "${pmtu_a_R1}" "exceeding MTU (veth_A-R1)" || return 1
+ check_pmtu_value "1500" "${pmtu_a_R2}" "exceeding MTU (veth_A-R2)" || return 1
+}
+
usage() {
echo
echo "$0 [OPTIONS] [TEST]..."
--
2.39.5
next prev parent reply other threads:[~2025-02-19 9:04 UTC|newest]
Thread overview: 166+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-02-19 8:26 [PATCH 6.6 000/152] 6.6.79-rc1 review Greg Kroah-Hartman
2025-02-19 8:26 ` [PATCH 6.6 001/152] nfsd: clear acl_access/acl_default after releasing them Greg Kroah-Hartman
2025-02-19 8:26 ` [PATCH 6.6 002/152] NFSD: fix hang in nfsd4_shutdown_callback Greg Kroah-Hartman
2025-02-19 8:26 ` [PATCH 6.6 003/152] pinctrl: cy8c95x0: Respect IRQ trigger settings from firmware Greg Kroah-Hartman
2025-02-19 8:26 ` [PATCH 6.6 004/152] HID: multitouch: Add NULL check in mt_input_configured Greg Kroah-Hartman
2025-02-19 8:26 ` [PATCH 6.6 005/152] HID: hid-thrustmaster: fix stack-out-of-bounds read in usb_check_int_endpoints() Greg Kroah-Hartman
2025-02-19 8:26 ` [PATCH 6.6 006/152] spi: sn-f-ospi: Fix division by zero Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 007/152] ax25: Fix refcount leak caused by setting SO_BINDTODEVICE sockopt Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 008/152] ndisc: ndisc_send_redirect() must use dev_get_by_index_rcu() Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 009/152] vrf: use RCU protection in l3mdev_l3_out() Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 010/152] vxlan: check vxlan_vnigroup_init() return value Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 011/152] LoongArch: Fix idle VS timer enqueue Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 012/152] LoongArch: csum: Fix OoB access in IP checksum code for negative lengths Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 013/152] team: better TEAM_OPTION_TYPE_STRING validation Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 014/152] arm64: cacheinfo: Avoid out-of-bounds write to cacheinfo array Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 015/152] cgroup: Remove steal time from usage_usec Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 016/152] drm/i915/selftests: avoid using uninitialized context Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 017/152] gpio: bcm-kona: Fix GPIO lock/unlock for banks above bank 0 Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 018/152] gpio: bcm-kona: Make sure GPIO bits are unlocked when requesting IRQ Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 019/152] gpio: bcm-kona: Add missing newline to dev_err format string Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 020/152] drm/amdgpu: bail out when failed to load fw in psp_init_cap_microcode() Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 021/152] xen/swiotlb: relax alignment requirements Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 022/152] x86/xen: allow larger contiguous memory regions in PV guests Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 023/152] block: cleanup and fix batch completion adding conditions Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 024/152] gpiolib: Fix crash on error in gpiochip_get_ngpios() Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 025/152] tools: fix annoying "mkdir -p ..." logs when building tools in parallel Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 026/152] RDMA/efa: Reset device on probe failure Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 027/152] fbdev: omap: use threaded IRQ for LCD DMA Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 028/152] soc/tegra: fuse: Update Tegra234 nvmem keepout list Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 029/152] media: cxd2841er: fix 64-bit division on gcc-9 Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 030/152] media: i2c: ds90ub913: Add error handling to ub913_hw_init() Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 031/152] media: i2c: ds90ub953: Add error handling for i2c reads/writes Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 032/152] media: uvcvideo: Implement dual stream quirk to fix loss of usb packets Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 033/152] media: uvcvideo: Add new quirk definition for the Sonix Technology Co. 292a camera Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 034/152] media: uvcvideo: Add Kurokesu C1 PRO camera Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 035/152] media: vidtv: Fix a null-ptr-deref in vidtv_mux_stop_thread Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 036/152] PCI/DPC: Quirk PIO log size for Intel Raptor Lake-P Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 037/152] PCI: switchtec: Add Microchip PCI100X device IDs Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 038/152] scsi: ufs: bsg: Set bsg_queue to NULL after removal Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 039/152] rtla/timerlat_hist: Abort event processing on second signal Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 040/152] rtla/timerlat_top: " Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 041/152] vfio/pci: Enable iowrite64 and ioread64 for vfio pci Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 042/152] NFS: Fix potential buffer overflowin nfs_sysfs_link_rpc_client() Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 043/152] Grab mm lock before grabbing pt lock Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 044/152] selftests: gpio: gpio-sim: Fix missing chip disablements Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 045/152] ACPI: x86: Add skip i2c clients quirk for Vexia EDU ATLA 10 tablet 5V Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 046/152] x86/mm/tlb: Only trim the mm_cpumask once a second Greg Kroah-Hartman
2025-04-10 1:13 ` Jinjiang Tu
2025-04-10 7:03 ` Greg KH
2025-04-10 7:40 ` Jinjiang Tu
2025-02-19 8:27 ` [PATCH 6.6 047/152] orangefs: fix a oob in orangefs_debug_write Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 048/152] ASoC: Intel: bytcr_rt5640: Add DMI quirk for Vexia Edu Atla 10 tablet 5V Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 049/152] batman-adv: fix panic during interface removal Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 050/152] batman-adv: Ignore neighbor throughput metrics in error case Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 051/152] batman-adv: Drop unmanaged ELP metric worker Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 052/152] drm/amdgpu: avoid buffer overflow attach in smu_sys_set_pp_table() Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 053/152] KVM: x86: Reject Hyper-Vs SEND_IPI hypercalls if local APIC isnt in-kernel Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 054/152] KVM: nSVM: Enter guest mode before initializing nested NPT MMU Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 055/152] perf/x86/intel: Ensure LBRs are disabled when a CPU is starting Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 056/152] usb: gadget: f_midi: Fixing wMaxPacketSize exceeded issue during MIDI bind retries Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 057/152] usb: dwc3: Fix timeout issue during controller enter/exit from halt state Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 058/152] usb: roles: set switch registered flag early on Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 059/152] usb: gadget: udc: renesas_usb3: Fix compiler warning Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 060/152] usb: dwc2: gadget: remove of_node reference upon udc_stop Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 061/152] USB: pci-quirks: Fix HCCPARAMS register error for LS7A EHCI Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 062/152] usb: core: fix pipe creation for get_bMaxPacketSize0 Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 063/152] USB: quirks: add USB_QUIRK_NO_LPM quirk for Teclast dist Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 064/152] USB: Add USB_QUIRK_NO_LPM quirk for sony xperia xz1 smartphone Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 065/152] usb: gadget: f_midi: fix MIDI Streaming descriptor lengths Greg Kroah-Hartman
2025-02-19 8:27 ` [PATCH 6.6 066/152] USB: hub: Ignore non-compliant devices with too many configs or interfaces Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 067/152] USB: cdc-acm: Fill in Renesas R-Car D3 USB Download mode quirk Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 068/152] usb: cdc-acm: Check control transfer buffer size before access Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 069/152] usb: cdc-acm: Fix handling of oversized fragments Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 070/152] USB: serial: option: add MeiG Smart SLM828 Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 071/152] USB: serial: option: add Telit Cinterion FN990B compositions Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 072/152] USB: serial: option: fix Telit Cinterion FN990A name Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 073/152] USB: serial: option: drop MeiG Smart defines Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 074/152] can: ctucanfd: handle skb allocation failure Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 075/152] can: c_can: fix unbalanced runtime PM disable in error path Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 076/152] can: j1939: j1939_sk_send_loop(): fix unable to send messages with data length zero Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 077/152] can: etas_es58x: fix potential NULL pointer dereference on udev->serial Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 078/152] alpha: make stack 16-byte aligned (most cases) Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 079/152] wifi: ath12k: fix handling of 6 GHz rules Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 080/152] kbuild: userprogs: fix bitsize and target detection on clang Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 081/152] efi: Avoid cold plugged memory for placing the kernel Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 082/152] cgroup: fix race between fork and cgroup.kill Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 083/152] serial: port: Assign ->iotype correctly when ->iobase is set Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 084/152] serial: port: Always update ->iotype in __uart_read_properties() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 085/152] serial: 8250: Fix fifo underflow on flush Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 086/152] alpha: align stack for page fault and user unaligned trap handlers Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 087/152] gpiolib: acpi: Add a quirk for Acer Nitro ANV14 Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 088/152] gpio: stmpe: Check return value of stmpe_reg_read in stmpe_gpio_irq_sync_unlock Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 089/152] partitions: mac: fix handling of bogus partition table Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 090/152] regulator: qcom_smd: Add l2, l5 sub-node to mp5496 regulator Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 091/152] regmap-irq: Add missing kfree() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 092/152] arm64: Handle .ARM.attributes section in linker scripts Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 093/152] mmc: mtk-sd: Fix register settings for hs400(es) mode Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 094/152] igc: Set buffer type for empty frames in igc_init_empty_frame Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 095/152] mlxsw: Add return value check for mlxsw_sp_port_get_stats_raw() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 096/152] btrfs: fix hole expansion when writing at an offset beyond EOF Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 097/152] clocksource: Use pr_info() for "Checking clocksource synchronization" message Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 098/152] clocksource: Use migrate_disable() to avoid calling get_random_u32() in atomic context Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 099/152] ipv4: add RCU protection to ip4_dst_hoplimit() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 100/152] net: treat possible_net_t net pointer as an RCU one and add read_pnet_rcu() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 101/152] net: add dev_net_rcu() helper Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 102/152] ipv4: use RCU protection in ipv4_default_advmss() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 103/152] ipv4: use RCU protection in rt_is_expired() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 104/152] ipv4: use RCU protection in inet_select_addr() Greg Kroah-Hartman
2025-02-19 8:28 ` Greg Kroah-Hartman [this message]
2025-02-19 8:28 ` [PATCH 6.6 106/152] ipv4: use RCU protection in __ip_rt_update_pmtu() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 107/152] ipv4: icmp: convert to dev_net_rcu() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 108/152] flow_dissector: use RCU protection to fetch dev_net() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 109/152] ipv6: use RCU protection in ip6_default_advmss() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 110/152] ipv6: icmp: convert to dev_net_rcu() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 111/152] HID: hid-steam: Avoid overwriting smoothing parameter Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 112/152] HID: hid-steam: Disable watchdog instead of using a heartbeat Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 113/152] HID: hid-steam: Clean up locking Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 114/152] HID: hid-steam: Update list of identifiers from SDL Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 115/152] HID: hid-steam: Add gamepad-only mode switched to by holding options Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 116/152] HID: hid-steam: remove pointless error message Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 117/152] HID: hid-steam: Fix cleanup in probe() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 118/152] HID: hid-steam: Add Deck IMU support Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 119/152] HID: hid-steam: Make sure rumble work is canceled on removal Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 120/152] HID: hid-steam: Move hidraw input (un)registering to work Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 121/152] ndisc: use RCU protection in ndisc_alloc_skb() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 122/152] neighbour: delete redundant judgment statements Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 123/152] neighbour: use RCU protection in __neigh_notify() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 124/152] arp: use RCU protection in arp_xmit() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 125/152] openvswitch: use RCU protection in ovs_vport_cmd_fill_info() Greg Kroah-Hartman
2025-02-19 8:28 ` [PATCH 6.6 126/152] ndisc: extend RCU protection in ndisc_send_skb() Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 127/152] ipv6: mcast: extend RCU protection in igmp6_send() Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 128/152] ipv6: mcast: add RCU protection to mld_newpack() Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 129/152] drm/tidss: Fix issue in irq handling causing irq-flood issue Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 130/152] drm/tidss: Clear the interrupt status for interrupts being disabled Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 131/152] drm/rcar-du: dsi: Fix PHY lock bit check Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 132/152] drm/v3d: Stop active perfmon if it is being destroyed Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 133/152] x86/static-call: Remove early_boot_irqs_disabled check to fix Xen PVH dom0 Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 134/152] drm/amd/display: Add null check for head_pipe in dcn201_acquire_free_pipe_for_layer Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 135/152] drm/amd/display: Pass non-null to dcn20_validate_apply_pipe_split_flags Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 136/152] netdevsim: print human readable IP address Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 137/152] selftests: rtnetlink: update netdevsim ipsec output format Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 138/152] md/raid5: recheck if reshape has finished with device_lock held Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 139/152] md/md-bitmap: factor behind write counters out from bitmap_{start/end}write() Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 140/152] md/md-bitmap: remove the last parameter for bimtap_ops->endwrite() Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 141/152] md: add a new callback pers->bitmap_sector() Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 142/152] md/raid5: implement pers->bitmap_sector() Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 143/152] md/md-bitmap: move bitmap_{start, end}write to md upper layer Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 144/152] arm64: Filter out SVE hwcaps when FEAT_SVE isnt implemented Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 145/152] mm: gup: fix infinite loop within __get_longterm_locked Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 146/152] alpha: replace hardcoded stack offsets with autogenerated ones Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 147/152] HID: hid-steam: Dont use cancel_delayed_work_sync in IRQ context Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 148/152] io_uring/kbuf: reallocate buf lists on upgrade Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 149/152] vsock: Keep the binding until socket destruction Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 150/152] vsock: Orphan socket after transport release Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 151/152] x86/i8253: Disable PIT timer 0 when not in use Greg Kroah-Hartman
2025-02-19 8:29 ` [PATCH 6.6 152/152] Revert "vfio/platform: check the bounds of read/write syscalls" Greg Kroah-Hartman
2025-02-19 12:24 ` [PATCH 6.6 000/152] 6.6.79-rc1 review Peter Schneider
2025-02-19 13:10 ` Jon Hunter
2025-02-19 18:16 ` [PATCH 6.6] " Hardik Garg
2025-02-19 22:25 ` [PATCH 6.6 000/152] " Ron Economos
2025-02-19 23:12 ` Mark Brown
2025-02-20 11:37 ` Naresh Kamboju
2025-02-20 12:15 ` Harshit Mogalapalli
2025-02-20 16:14 ` Shuah Khan
2025-02-20 16:47 ` Slade Watkins
2025-02-21 18:01 ` Florian Fainelli
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20250219082554.213700144@linuxfoundation.org \
--to=gregkh@linuxfoundation.org \
--cc=deliran@verdict.gg \
--cc=idosch@nvidia.com \
--cc=kuba@kernel.org \
--cc=patches@lists.linux.dev \
--cc=sashal@kernel.org \
--cc=stable@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox